# DataExchange
TKSTEPBase
StepShape

# StepShape_ShellBasedSurfaceModel Class Reference

`#include <StepShape_ShellBasedSurfaceModel.hxx>`

Inheritance diagram for StepShape_ShellBasedSurfaceModel:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ShellBasedSurfaceModel ()
| Returns a ShellBasedSurfaceModel .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfShell)&aSbsmBoundary)
Standard_EXPORT void | SetSbsmBoundary (const Handle(StepShape_HArray1OfShell)&aSbsmBoundary)
Standard_EXPORT Handle_StepShape_HArray1OfShell | SbsmBoundary () const
Standard_EXPORT StepShape_Shell | SbsmBoundaryValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbSbsmBoundary () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfShell | sbsmBoundary

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ShellBasedSurfaceModel::StepShape_ShellBasedSurfaceModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ShellBasedSurfaceModel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

virtual Standard_EXPORT void StepShape_ShellBasedSurfaceModel::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfShell)& | aSbsmBoundary
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_ShellBasedSurfaceModel::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepShape_ShellBasedSurfaceModel::NbSbsmBoundary | ( |  | ) | const

Standard_EXPORT Handle_StepShape_HArray1OfShell StepShape_ShellBasedSurfaceModel::SbsmBoundary | ( |  | ) | const

Standard_EXPORT StepShape_Shell StepShape_ShellBasedSurfaceModel::SbsmBoundaryValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepShape_ShellBasedSurfaceModel::SetSbsmBoundary | ( | const Handle(StepShape_HArray1OfShell)& | aSbsmBoundary | ) |

## Field Documentation

Handle_StepShape_HArray1OfShell StepShape_ShellBasedSurfaceModel::sbsmBoundary `[private]`

The documentation for this class was generated from the following file:

- StepShape_ShellBasedSurfaceModel.hxx